KWIN_DRAW_ELLIPSE(3)

FUNCTION
kwin_draw_ellipse - Draw an ellipse onto a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_draw_ellipse

(KPixCanvas canvas, double cx, double cy, double rx, double ry, unsigned long pixel_value)

DESCRIPTION
Draw an ellipse onto a pixel canvas.

canvas
    The canvas.

cx  The horizontal co-ordinate of the centre of the ellipse.

cy  The vertical co-ordinate of the centre of the ellipse.

rx  The horizontal radius.

ry  The vertical radius.

pixel_value
    The pixel value to use.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/